# Copyright 1999-2017. Parallels IP Holdings GmbH. All Rights Reserved.

from fsmng_stat import FileStat

FILES_AC = {
    "/dev/null": ('0666', 'root', 'root', FileStat.CHR),
    "/dev/random": ('0666', 'root', 'root', FileStat.CHR),
    "/dev/urandom": ('0666', 'root', 'root', FileStat.CHR),

    "/dev/log": ('0666', 'root', 'root', FileStat.SCK),
    "/run/systemd/journal/dev-log": None,

    # ubuntu, debian 7, 8
    "/var/lock": ('0777', 'root', 'root', FileStat.LNK, '/run/lock'),
    "/run/lock": ('01777', 'root', 'root', FileStat.DIR),

    "/etc": ('0755', 'root', 'root', FileStat.DIR),
    "/etc/psa-webmail": ('0755', 'root', 'root', FileStat.DIR),
    "/etc/psa-webmail/horde/.horde.shadow": ('0640', 'root', 'horde_sysgroup', FileStat.REG),
    "/etc/passwd": ('0644', 'root', 'root', FileStat.REG),

    "/etc/init.d/postfix": ('0755', 'root', 'root', FileStat.REG),
    "/usr/lib/systemd/system/postfix.service": None,

    '/var': ('0755', 'root', 'root', FileStat.DIR),

    '/var/log': ('0755', 'root', 'root', FileStat.DIR),
    '/var/log/psa-horde/psa-horde.log': ('0640', 'horde_sysuser', 'horde_sysgroup', FileStat.REG),

    '/etc/sw': ('0755', 'root', 'root', FileStat.DIR),
    '/etc/sw/keys': ('02770', 'root', 'swkey-data', FileStat.DIR),
    '/etc/sw/keys/backup': ('02770', 'root', 'swkey-data', FileStat.DIR),
    '/etc/sw/keys/instances': ('02770', 'root,psaadm', 'swkey-data', FileStat.DIR),
    '/etc/sw/keys/keys': ('02770', 'root', 'swkey-data', FileStat.DIR),
    '/etc/sw/keys/lock': ('02770', 'root', 'swkey-data', FileStat.DIR),
    '/etc/sw/keys/restart': ('02770', 'root', 'swkey-data', FileStat.DIR),

    '/etc/sw/keys/registry.xml': ('0660', 'root,psaadm', 'swkey-data', FileStat.REG),
    '/etc/sw/keys/info': ('0644', 'root', 'swkey-data', FileStat.REG),

    '/usr/sbin/postdrop': ('02550', 'root', 'postdrop', FileStat.REG),

    '/etc/psa/private/secret_key': ('0600', 'psaadm', 'root', FileStat.REG),

    '/var/www/cgi-bin/cgi_wrapper': ('0755', 'root', 'root', FileStat.DIR),
    '/var/www/cgi-bin/cgi_wrapper/cgi_wrapper': ('0755', 'root', 'root', FileStat.REG),

    '/opt/psa/PMM/tmp': ('0755', 'psaadm', 'psaadm', FileStat.DIR),
}
